ResultMessage (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.transport.messages

## Class ResultMessage

- java.lang.Object
- - org.apache.cassandra.transport.Message
  - - org.apache.cassandra.transport.Message.Response
    - - org.apache.cassandra.transport.messages.ResultMessage

- Direct Known Subclasses:
    ResultMessage.Prepared, ResultMessage.Rows, ResultMessage.SchemaChange, ResultMessage.SetKeyspace, ResultMessage.Void

      public abstract class ResultMessage
      extends Message.Response

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ResultMessage.Kind`
    `static class` | `ResultMessage.Prepared`
    `static class` | `ResultMessage.Rows`
    `static class` | `ResultMessage.SchemaChange`
    `static class` | `ResultMessage.SetKeyspace`
    `static class` | `ResultMessage.Void`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Message

      `Message.Codec<M extends Message>, Message.Direction, Message.Dispatcher, Message.ProtocolDecoder, Message.ProtocolEncoder, Message.Request, Message.Response, Message.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Message.Codec<ResultMessage>` | `codec`
    `ResultMessage.Kind` | `kind`

    - ### Fields inherited from class org.apache.cassandra.transport.Message.Response

      `tracingId`

    - ### Fields inherited from class org.apache.cassandra.transport.Message

      `connection, logger, type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ResultMessage(ResultMessage.Kind kind)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract CqlResult` | `toThriftResult()`

    - ### Methods inherited from class org.apache.cassandra.transport.Message.Response

      `getTracingId, setTracingId`

    - ### Methods inherited from class org.apache.cassandra.transport.Message

      `attach, connection, getSourceFrame, getStreamId, setSourceFrame, setStreamId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codec

          public static final Message.Codec<ResultMessage> codec

    - #### kind

          public final ResultMessage.Kind kind

  - ### Constructor Detail

    - #### ResultMessage

          protected ResultMessage(ResultMessage.Kind kind)

  - ### Method Detail

    - #### toThriftResult

          public abstract CqlResult toThriftResult()

Copyright © 2014 The Apache Software Foundation